Summary: System logging and kernel message trapping daemons.
Name: sysklogd
Version: 1.4.1
Release: 4tr
License: GPL
Group: System/Daemons
Source0: http://www.infodrom.ffis.de/projects/sysklogd/download/sysklogd-1.4.1.tar.gz
Source1: sysklogd.conf
Source2: sysklogd.init
Source3: sysklogd.logrotate
Source4: sysklogd.args
Patch0: sysklogd-1.4.1-security.patch
Patch1: sysklogd-1.4.1-alpha.patch
Patch2: sysklogd-1.4.1-rh.patch
Patch3: sysklogd-1.4.1-utmp-process.patch
Patch4: sysklogd-1.4.1-sparc.patch
# needed for 4.2 alpha
#Patch5: sysklogd-1.4-alphafoo.patch
Patch6: sysklogd-1.4.1-nullterm.patch
#Patch7: sysklogd-1.4-dgram.patch
Patch8: sysklogd-1.4.1-ksyms.patch
Patch9: sysklogd-1.4.1-fmt-string.patch
Prereq: fileutils, /sbin/chkconfig, /sbin/restart_maybe, /usr/sbin/useradd
Prereq: grep
Requires: logrotate
BuildRoot: /var/tmp/syslog-root

%description
The sysklogd package contains two system utilities (syslogd and klogd)
which provide support for system logging.  Syslogd and klogd run as
daemons (background processes) and log system messages to different
places, like sendmail logs, security logs, error logs, etc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
#%patch5 -p1
%patch6 -p1
#%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/sysconfig,usr/{bin,share/man/man{5,8},sbin,share}}
mkdir -p $RPM_BUILD_ROOT/sbin

make install TOPDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
install -m644 $RPM_SOURCE_DIR/sysklogd.conf ./etc/syslog.conf
install -m644 $RPM_SOURCE_DIR/sysklogd.args ./etc/sysconfig/sysklogd
strip $RPM_BUILD_ROOT/sbin/* 

mkdir -p $RPM_BUILD_ROOT/etc/{rc.d/init.d,logrotate.d}
install -m755 $RPM_SOURCE_DIR/sysklogd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/syslog
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc{0,1,2,3,4,5,6}.d
install -m644  $RPM_SOURCE_DIR/sysklogd.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/syslog

chmod 755 $RPM_BUILD_ROOT/sbin/syslogd
chmod 755 $RPM_BUILD_ROOT/sbin/klogd
#mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/

%clean
rm -rf $RPM_BUILD_ROOT

%post
# If it is an install of the package, we make syslogd run per default
if [ $1 = 1 ]; then
	chkconfig syslog on
fi

# UGLY hack needed for upgrading from buggy TSL 1.2 package
if [ -n "`chkconfig --list syslog|grep on`" ]; then
	(sleep 10;chkconfig syslog on)&
fi

# Check whether we need to add syslog user/group
if [ ! `getent group syslog` ] ; then
	/usr/sbin/groupadd -g 60 syslog
fi
if [ ! `getent passwd syslog` ] ; then
	/usr/sbin/useradd -r -d /var/log -g syslog -s /bin/false -u 20 syslog
fi

for n in /var/log/{messages,secure,maillog,spooler}
do
	if [ ! -f $n ] ; then
		touch $n
	fi
	chmod 600 $n
	chown syslog.syslog $n
done

# This needs to be done this way in order to avoid installation troubles
if [ -x /sbin/restart_maybe ] ; then
	/sbin/restart_maybe syslog
fi

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del syslog
   # Sanity check whether the user/group exists at all
   if [ `getent passwd syslog` ] ; then
      userdel syslog
   fi
   if [ `getent group syslog` ] ; then
      groupdel syslog
   fi
fi

%files
%defattr(-,root,root)
%doc ANNOUNCE README* NEWS INSTALL
%config(noreplace) /etc/syslog.conf
%config(noreplace) /etc/sysconfig/sysklogd
%config /etc/logrotate.d/syslog
%config /etc/rc.d/init.d/syslog
/sbin/*
%{_mandir}/*/*

%changelog
* Thu Apr 18 2002 Christian H. Toldnes <christht@trustix.com>
- Added -r attribute to useradd.

* Tue Jul 17 2001 Oystein Viggen <oysteivi@trustix.com>
- Hack around problems due to a bug in the former package

* Tue Mar  6 2001 Alexander Reelsen <ar@trustix.com>
- Picked up 1.4
- Existing security patches merged with upstream partly
- root privileges are dropped after start of syslogd and klogd

* Tue Sep 19 2000 Erlend Midttun <erlendbm@trustix.com>
- Integrated sec fixes from notting@redhat.com, jakub@redhat.com,
  solar@false.com and dan@debian.org.

* Wed Mar 29 2000 Lars Gaarden <larsg@trustix.com>
- moved man pages to /usr/share, FHS

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- add patch to fix segfaults in ksym-less cases from HP

* Mon Nov 15 1999 Bill Nottingham <notting@redhat.com>
- fix ECONNRESETs from security patch (olaf)

* Fri Sep 25 1999 Bill Nottingham <notting@redhat.com>
- eek. The security patch broke *two* things...

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- make klogd actually work.

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- rotate boot.log

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- add patch to fix a possible DoS (thanks Olaf Kirch)

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Mon Aug  9 1999 Bill Nottingham <notting@redhat.com>
- patch to fix non-null terminated stuff in klogd

* Mon Jun 21 1999 Bill Nottingham <notting@redhat.com>
- move (sys|k)logd to /sbin

* Tue Apr 13 1999 Bill Nottingham <notting@redhat.com>
- log boot messages to boot.log
- actually put the sysklogd links in the new place

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- disable mark ticks by default

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- stop klogd/syslogd as late as possible.

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- twiddle initscript to avoid confusion

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- update to sysklogd-1.3-31
- stop klogd *before* syslogd

* Tue Feb  9 1999 Jeff Johnson <jbj@redhat.com>
- escape naked percent chars in kernel messages (#1088).

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- rework last-gasp address-in-module oops trace for both 2.0.x/2.1.x modules.

* Mon Dec  7 1998 Jakub Jelinek <jj@ultra.linux.cz>
- make klogd translate SPARC register dumps and oopses.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- add %clean

* Tue Aug  4 1998 Chris Adams <cadams@ro.com>
- only log to entries that are USER_PROCESS (fix #822)

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- remove RPM_BUILD_ROOT from %post

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- patch to support Buildroot
- package is now buildrooted

* Wed Apr 29 1998 Michael K. Johnson <johnsonm@redhat.com>
- Added exit patch so that a normal daemon exit is not flagged as an error.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added (missingok) to init symlinks

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- added status|restart support to syslog.init
- added chkconfig support
- various spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
